SIS900_READ_MODE(9)

NAME
sis900_read_mode - read media mode for sis900 internal phy

SYNOPSIS

void sis900_read_mode (struct net_device * net_dev, int * speed, int * duplex);

ARGUMENTS

net_dev
    the net device to read mode for

speed
    the transmit speed to be determined

duplex
    the duplex mode to be determined

DESCRIPTION

The capability of remote end will be put in mii register autorec after auto-negotiation. Use AND operation to get the upper bound of speed and duplex between two ends.

AUTHORS
Ollie Lho, Lei Chun Chang.